Apple recommends iTunes 7.2 with Windows Vista update KB936824

Apple has made an announcement that if you are using an iPod on windows vista use iTunes 7.2 or 7.4.2 In March they announced Itunes 7.1 which was supposed to be compatible with Vista series. But I Still see people complaining about problems with it in comment section. However It was seen that people are asked to update their windows vista when they connect iPod.

I hope this post will be useful for people who have been facing the not-ending problems with Itunes and Vista.

Leave a Reply